devguard
PrivacyRegister

Get the processing register with derived transfers, DPIA and TIA status, and the open findings.

GET
/privacy/register/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/privacy/register/?organizationId=string"
{  "listsAsOf": "string",  "regimes": [    "ch"  ],  "shows": {    "vendors": true,    "risks": true,    "processes": true,    "controls": true  },  "classes": [    {      "id": "string",      "slug": "string",      "name": "string",      "outdated": true    }  ],  "activities": [    {      "id": "string",      "slug": "string",      "shortId": 0,      "name": "string",      "ownerName": "string",      "role": "CONTROLLER",      "purpose": "string",      "dataSubjects": [        "string"      ],      "dataCategories": [        "string"      ],      "lawfulBasis": "string",      "otherParty": "string",      "recipients": "string",      "details": [        {          "label": "string",          "value": "string"        }      ],      "retention": "string",      "controls": [        {          "id": "string",          "linkId": "string",          "identifier": "string",          "name": "string",          "framework": "string"        }      ],      "vendors": [        {          "id": "string",          "slug": "string",          "name": "string",          "relationship": "string",          "countries": [            "string"          ],          "mechanism": "string",          "dpa": "CURRENT",          "transfers": [            {              "country": "string",              "standings": [                {                  "regime": "ch",                  "standing": "HOME",                  "condition": {                    "en": "string",                    "de": "string"                  }                }              ],              "status": "ADEQUATE",              "tiaNeeded": true            }          ],          "tia": {            "state": "NOT_NEEDED",            "run": {              "id": "string",              "number": "string",              "processSlug": "string",              "done": true,              "completedAt": "string"            }          }        }      ],      "risks": [        {          "id": "string",          "slug": "string",          "shortId": 0,          "name": "string",          "ratedForPersons": true,          "level": 0,          "highRiskForPersons": true,          "accepted": true,          "openActions": 0        }      ],      "dpia": {        "need": "REQUIRED",        "state": "NOT_NEEDED",        "criteria": [          "string"        ],        "aiSystemLinked": true,        "decision": "string",        "run": {          "id": "string",          "number": "string",          "processSlug": "string",          "done": true,          "completedAt": "string"        },        "consultationOwed": true      }    }  ],  "findings": [    {      "kind": "TRANSFER_UNSAFEGUARDED",      "activity": {        "slug": "string",        "name": "string"      },      "vendor": {        "slug": "string",        "name": "string"      },      "country": "string"    }  ],  "progress": [    {      "step": "categories",      "done": 0,      "total": 0    }  ],  "requests": {    "open": 0,    "overdue": 0  }}

How is this guide?